import { createFeatureSelector, createSelector } from '@ngrx/store';

import * as CommonState from './common/state';
import * as DepartmentState from './department/state';

export const KEY_FEATURE = 'organization';

export interface State {
  common: CommonState.State;
  department: DepartmentState.State;
}

export const Selector = createFeatureSelector<State>(KEY_FEATURE);

export const CommonSelector = CommonState.selectors(
  createSelector(Selector, (state: State) => state.common)
);

export const DepartmentSelector = DepartmentState.selectors(
  createSelector(Selector, (state: State) => state.department)
);
